/* ----------------------------------------------- NAVBAR */

button, a, svg, [role="button"] {
  -webkit-tap-highlight-color: transparent;
  user-select: none;
  -webkit-touch-callout: none;
  touch-action: manipulation;
}

body::-webkit-scrollbar {
    width: 10px;
}

body::-webkit-scrollbar-thumb {
    background-color: #BDBDBD;
    outline: 10px #fff;
    border-radius: 50px;
}

.navbar{
    width: 93%;
    justify-content: space-between;
    display: flex;
    align-items: center;
    gap: 30px;
    margin-bottom: 40px;
    margin: 20px auto 40px auto;
}

.logo_nav{
    width: 250px;
}

/* .h1_nav h1{
    color: var(--text-color);
    font-family: "inter", sans-serif;
    font-size: 96px;
    font-style: normal;
    font-weight: 900;
    line-height: normal;
    margin: 0;
} */

.lien_intra_site{
    width: 50%;
    position: relative;
    cursor: text;
}

.search{
    width: 24px;
    height: 24px;
    stroke: var(--text-color);
    margin: 0;
    padding: 0;
    background-color: transparent;
}

.navSearch {
    display: flex;
    align-items: center;
    background-color: var(--menu-color);
    border-radius: 50px;
    padding: 5px;
    width: 100%;
    position: relative;
    height: 45px;
    box-sizing: border-box;
}

.navSearchInput {
    position: absolute;
    left: 15px;
    top: 0;
    width: calc(100% - 60px);
    height: 100%;
    border: none;
    background-color: transparent;
    padding: 0;
    outline: none;
    color: var(--text-color);
    font-family: "inter", sans-serif;
    font-size: 20px;
    font-weight: 300;
}

.navSearchButton {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    background-color: transparent;
    border: none;
    padding: 0;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
}

.navSearchInput::placeholder{
    color: rgb(88, 88, 88);
    font-family: "inter", sans-serif;
    font-size: 20px;
    font-weight: 300;
}

.navSearchButton img {
    width: 25px;
    height: 25px;
}

.navSearch-mobile{
    display: none;
}

.search_notif_profile {
    display: flex;
    align-items: center;
    gap: 30px;
}

.a-notif {
    position: relative;
}

.notif-indicator {
    position: absolute;
    top: -5px;
    left: -5px;
    background-color: #ff2929;
    width: 17px;
    height: 17px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 2px solid var(--gray);
}

.nbr-notif {
    color: #fff;
    font-family: inter;
    font-weight: 500;
    font-size: 10px;
    margin: 0;
    padding: 0;
    line-height: 1;
    text-align: center;
}

.pfp_navbar {
    border-radius: 100%;
    height: 75px;
    width: 75px;
    border: 2px solid var(--text-color);
}

.pfp_navbar_div {
    margin: 0 10px 0 0;
}

.menu-burger {
    width: 50px;
    height: 50px;
    display: none;
    cursor: pointer;
    stroke: var(--text-color);
    transition: transform 0.3s ease;
}

.menu-burger.cross {
    transform: rotate(45deg);
}

.menu-burger.cross *{
    stroke: var(--text-color);
}

.mobile-menu {
    display: none;
}

.no-scroll {
    overflow: hidden;
}

.notification_bell{
    width: 40px;
    height: 40px;
    stroke: var(--text-color);
}


.changerTheme {
    width: 35px;
    height: 35px;
    stroke: var(--text-color);
    cursor: pointer;
    transition: transform 0.3s ease;
}

.changerTheme:active {
    transform: rotate(360deg);
}


@media screen and (max-width: 1500px){
    .logo_nav{
        width: 200px;
    }
    .navbar .navbarul{
        gap: 40px;
    }
    .navbar .navbarul li.active a{
        text-decoration-thickness: 2px;
    }
    .navbar .navbarul li a{
        font-size: 22px;
    }
    .notification_bell{
        width: 30px;
        height: 30px;
    }
    .pfp_navbar {
        height: 50px;
        width: 50px;
    }
}

@media screen and (max-width: 1200px){
    .logo_nav{
        width: 150px;
    }
}

@media screen and (max-width: 980px){
    .search{
        width:20px;
        height:20px;
    }
    .navSearchInput::placeholder{
        font-size: 16px;
    }
    .changerTheme {
        width: 30px;
        height: 30px;
    }
    .pfp_navbar {
        height: 40px;
        width: 40px;
    }
}

@media screen and (max-width: 900px) {
    .cadreMenu {
        display: flex !important;
        flex-direction: column !important;
        justify-content: center !important;
        align-items: center !important;
        position: fixed !important;
        top: 0 !important;
        left: -100% !important;
        transition: left 0.3s ease !important;
        z-index: 80 !important;
        width: 100% !important;
        height: 100vh !important;
        background-color: var(--menu-color) !important;
        overflow: auto !important;
        margin: 0 !important;
        border-radius: 0 !important;
        box-shadow: none !important;
    }

    .cadreMenu.active {
        left: 0 !important;
    }

    .no-scroll {
        overflow: hidden !important;
    }

    .menu-burger {
        display: block !important;
        z-index: 90 !important;
    }

    .pfp_navbar_div {
        margin: 0 !important;
    }

    .middleMenu {
        margin-bottom: 150px !important;
    }

    .middleMenu div a p, .bottomMenu div a p {
        margin: 0 auto !important;
    }

    .cadreMenu svg {
        margin: 0 !important;
    }

    .middleMenu div a, .bottomMenu div a {
        width: fit-content !important;
        height: 33px !important;
        margin: 0 !important;
        align-items: center !important;
        gap: 10px !important;
    }
}

@media screen and (max-width: 680px) {
    .logo_nav{
        width: 125px;
    }
    .navSearch {
        display: none;
    }
    .navSearch-mobile{
        margin: 0 auto 30px auto;
        display: flex;
        align-items: center;
        background-color: var(--menu-color);
        border-radius: 50px;
        padding: 5px;
        width: fit-content; 
    }
    .navSearchInput-mobile {
        width: 200px;
        border: none;
        background-color: transparent;
        padding: 10px 15px;
        outline: none;
        color: var(--text-color);
        font-family: "inter", sans-serif;
        font-size: 20px;
        font-weight: 300;
    }
    .navSearchInput-mobile::placeholder{
        color: rgb(88, 88, 88);
        font-family: "inter", sans-serif;
        font-size: 20px;
        font-weight: 300;
    }
    
    .navSearchButton-mobile {
        background-color: transparent;
        border: none;
        padding: 10px;
        cursor: pointer;
        display: flex;
        align-items: center;
    }
    .changerTheme {
        width: 25px;
        height: 25px;
    }
    .navSearchButton-mobile img {
        width: 25px;
        height: 25px;
    }
}

@media screen and (max-width: 470px) {
    .navSearchInput-mobile {
        width: 120px;
    }
}

@media screen and (max-width: 440px) {
    .navbar .navbarul li a{
        font-size: 22px;
    }
    .search_notif_profile {
        display: flex;
        align-items: center;
        gap: 15px;
    }
    .notification_bell{
        width: 25px;
        height: 25px;
    }
    .pfp_navbar {
        height: 30px;
        width: 30px;
    }
    .menu-burger {
        width: 40px;
        height: 40px;
    }
}


@media screen and (max-width: 440px) {
    .changerTheme{
        display: none;
    }
}

@media screen and (max-width: 330px) {
    .logo_nav{
       width: 50px;
   }
}